//@flow
/**
 * @author Sven Koelpin
 */

import React from 'react';
import { render } from 'react-dom';
import './main.css';
import NewsFeed from './feed/NewsFeed';
import ChatArea from './chat/ChatArea';
import Header from './menu/Header';
import UserList from './user/UserList';
import { useStrict } from 'mobx';

useStrict(true);


const ReactChatApp = () => {
    return (
        <section className='main'>
            <Header/>
            <div className='page'>
                <div className='content'>
                    <NewsFeed/>
                    <ChatArea/>
                </div>
                <UserList/>
            </div>
        </section>
    );
};


window.Perf = require('react-addons-perf');
window.addEventListener('DOMContentLoaded', () => {
    render(<ReactChatApp/>, document.getElementById('app'));
});