//@flow
/**
 * @author Sven Koelpin
 */

import React, { Component } from 'react';
import ChatWindow from './ChatWindow';
import ChatStore from './ChatStore';
import { observer } from 'mobx-react';
import type { Chat } from '../domain/Entities';


class ChatArea extends Component<void, {}, void> {
    constructor() {
        super();
        (this: any).onMarkChatAsRead = this.onMarkChatAsRead.bind(this);
    }

    componentDidMount() {
        ChatStore.subscribeToChatMessages();
    }

    componentWillUnmount() {
        ChatStore.unsubscribeChatMessages();
    }

    onMarkChatAsRead(chat: Chat) {
        //chat.unread = true;
        ChatStore.markAsRead(chat);
    }

    render() {
        return (
            <div className='chatArea'>
                {ChatStore.chats.map(chat => <ChatWindow key={chat.id} chat={chat} markChatAsRead={this.onMarkChatAsRead}/>)}
            </div>
        );
    }
}

export default observer(ChatArea);

