//@flow
/**
 * @author Sven Koelpin
 */
import { applyMiddleware, combineReducers, createStore } from 'redux';
import thunkMiddleware from 'redux-thunk';
import type { ChatReducerState } from '../chat/ChatReducer';
import ChatReducer from '../chat/ChatReducer';
import type { UserReducerState } from '../user/UserReducer';
import UserReducer from '../user/UserReducer';
import type { AppReducerState } from '../menu/AppReducer';
import AppReducer from '../menu/AppReducer';

const reduxDevTool = (window.devToolsExtension: any) ? window.devToolsExtension() : (f: any) => f;
const middleWares = applyMiddleware(thunkMiddleware);

const reducers = combineReducers({ChatReducer, UserReducer, AppReducer});
const Store = middleWares(reduxDevTool(createStore))(reducers);

export type StoreState = {
    ChatReducer: ChatReducerState;
    AppReducer: AppReducerState;
    UserReducer: UserReducerState;
}


export default Store;
